Page 1 of 1

installation problem

PostPosted: Tue Jan 05, 2016 12:30 pm
by Biswajit
problems in installation.
I want to compile the vasp-5.2 in gfortran.
when I input the make command, following errors are coming, please anyone suggest me how to overcome this problem.
make
gfortran -01 -ffree-from -c diolib.f
diolib.f:13.10:

USE preclib
1
Fatal Error : Can't open module file 'preclib.mod' for reading at (1): No such file or directory
make: *** [diolib.o] Error 1

Re: installation problem

PostPosted: Wed Jul 18, 2018 10:04 am
by admin
please always install the most current version of vasp (5.4.4)
use the makefile.include for gfortran
preclib is part of preclib.F (in the vasp-libraries subdirectories)
and has to be compiled BEFORE diolib. please do not change the order of compilation
otherwise the dependencies are no resolved properly